Update an existing Call
curl --request PATCH \
--url https://commerce.driv.ly/api/calls/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "call_3d9k2j8s7d2k",
"note": "Follow up with more information",
"time": "2023-09-20T14:00:00Z",
"rating": 5,
"ratingNote": "Excellent call, potential sale",
"transcript": "Transcript of the call here",
"audioRecording": {
"url": "http://example.com/audio"
},
"conversationURL": "http://example.com/conversation",
"externalPhoneNumber": "555-6789",
"internalPhoneNumber": "555-0199"
}
'import requests
url = "https://commerce.driv.ly/api/calls/{id}"
payload = {
"id": "call_3d9k2j8s7d2k",
"note": "Follow up with more information",
"time": "2023-09-20T14:00:00Z",
"rating": 5,
"ratingNote": "Excellent call, potential sale",
"transcript": "Transcript of the call here",
"audioRecording": { "url": "http://example.com/audio" },
"conversationURL": "http://example.com/conversation",
"externalPhoneNumber": "555-6789",
"internalPhoneNumber": "555-0199"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'call_3d9k2j8s7d2k',
note: 'Follow up with more information',
time: '2023-09-20T14:00:00Z',
rating: 5,
ratingNote: 'Excellent call, potential sale',
transcript: 'Transcript of the call here',
audioRecording: {url: 'http://example.com/audio'},
conversationURL: 'http://example.com/conversation',
externalPhoneNumber: '555-6789',
internalPhoneNumber: '555-0199'
})
};
fetch('https://commerce.driv.ly/api/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "call_3d9k2j8s7d2k",
"note": "Follow up with more information",
"time": "2023-09-20T14:00:00Z",
"rating": 5,
"ratingNote": "Excellent call, potential sale",
"transcript": "Transcript of the call here",
"audioRecording": {
"url": "http://example.com/audio"
},
"conversationURL": "http://example.com/conversation",
"externalPhoneNumber": "555-6789",
"internalPhoneNumber": "555-0199"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Call Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Sales
Update an existing Call
PATCH
/
calls
/
{id}
Update an existing Call
Path Parameters
Call is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Call is uniquely identified by id
Call is made with External Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Call is made with Internal Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Call has Rating Note
Call has Note
Call has Rating
Required range:
0 <= x <= 5Must be a multiple of 0.1Call has Audio Recording
Call has Transcript
Call has Conversation URL
Call occurs at Time
Response
Call Updated
Show child attributes
Show child attributes
Example:
{
"id": "call_3d9k2j8s7d2k",
"note": "Follow up with more information",
"time": "2023-09-20T14:00:00Z",
"rating": 5,
"ratingNote": "Excellent call, potential sale",
"transcript": "Transcript of the call here",
"audioRecording": { "url": "http://example.com/audio" },
"conversationURL": "http://example.com/conversation",
"externalPhoneNumber": "555-6789",
"internalPhoneNumber": "555-0199"
}